com.taosdata.jdbc.common

## Class SerializeBlock

- java.lang.Object
- - com.taosdata.jdbc.common.SerializeBlock

    public class SerializeBlock
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getColTotalLengthByTableIndex(List<TableInfo> tableInfoList, int index, int toBebindColCount)`
`static int` `getColumnSize(ColumnInfo column)`
`static byte[]` `getStmt2BindBlock(long reqId, long stmtId, List<TableInfo> tableInfoList, int toBeBindTableNameIndex, int toBebindTagCount, int toBebindColCount, int precision)`
`static int` `getTagTotalLengthByTableIndex(List<TableInfo> tableInfoList, int index, int toBebindTagCount)`
`static byte[]` `intToBytes(int v)`
`static byte[]` `longToBytes(long v)`
`static void` `serializeByteArray(byte[] buf, int offset, byte[] data)`
`static byte[]` `shortToBytes(int v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### serializeByteArray

    public static void serializeByteArray(byte[] buf,
                                          int offset,
                                          byte[] data)

#### getTagTotalLengthByTableIndex

    public static int getTagTotalLengthByTableIndex(List<TableInfo> tableInfoList,
                                                    int index,
                                                    int toBebindTagCount)
                                             throws SQLException

Throws:
  `SQLException`

#### getColTotalLengthByTableIndex

    public static int getColTotalLengthByTableIndex(List<TableInfo> tableInfoList,
                                                    int index,
                                                    int toBebindColCount)
                                             throws SQLException

Throws:
  `SQLException`

#### getColumnSize

    public static int getColumnSize(ColumnInfo column)
                             throws SQLException

Throws:
  `SQLException`

#### getStmt2BindBlock

    public static byte[] getStmt2BindBlock(long reqId,
                                           long stmtId,
                                           List<TableInfo> tableInfoList,
                                           int toBeBindTableNameIndex,
                                           int toBebindTagCount,
                                           int toBebindColCount,
                                           int precision)
                                    throws IOException,
                                           SQLException

Throws:
  `IOException`
  `SQLException`

#### shortToBytes

    public static byte[] shortToBytes(int v)

#### intToBytes

    public static byte[] intToBytes(int v)

#### longToBytes

    public static byte[] longToBytes(long v)